Bug 53962 - [GTK] EventSender.keyDown does not support non-array modifier arguments
Summary: [GTK] EventSender.keyDown does not support non-array modifier arguments
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P3 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks:
 
Reported: 2011-02-07 16:41 PST by Martin Robinson
Modified: 2012-09-17 16:08 PDT (History)
2 users (show)

See Also:


Attachments
Patch (5.32 KB, patch)
2011-02-07 18:03 PST, Martin Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2011-02-07 16:41:13 PST
This can be seem by the failure of fast/forms/legend-access-key.html which uses "altKey" as the modifier argument.
Comment 1 Martin Robinson 2011-02-07 18:03:13 PST
Created attachment 81560 [details]
Patch
Comment 2 Eric Seidel (no email) 2011-02-07 23:43:12 PST
Comment on attachment 81560 [details]
Patch

Very nice.  Nice use of a helper function.
Comment 3 Martin Robinson 2011-02-08 07:57:28 PST
Comment on attachment 81560 [details]
Patch

Clearing flags on attachment: 81560

Committed r77936: <http://trac.webkit.org/changeset/77936>
Comment 4 Martin Robinson 2011-02-08 07:57:31 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Alexey Proskuryakov 2012-09-17 15:59:22 PDT
This looks wrong. This is just a mistake in a single test.

Eric, you reviewed this. How did you decide that this change was OK?
Comment 6 Eric Seidel (no email) 2012-09-17 16:08:45 PDT
Donno.  I mean, the option seems reasonable to me.  Checking if the arg is a string vs. array seems like a totally reasonable API convenience.  But if you feel strongly, I'm sure it can be removed.